summaryrefslogtreecommitdiffstats
path: root/source/n/iwlwifi-6xxx-ucode/iwlwifi-6xxx-ucode.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/n/iwlwifi-6xxx-ucode/iwlwifi-6xxx-ucode.SlackBuild')
-rwxr-xr-xsource/n/iwlwifi-6xxx-ucode/iwlwifi-6xxx-ucode.SlackBuild58
1 files changed, 58 insertions, 0 deletions
diff --git a/source/n/iwlwifi-6xxx-ucode/iwlwifi-6xxx-ucode.SlackBuild b/source/n/iwlwifi-6xxx-ucode/iwlwifi-6xxx-ucode.SlackBuild
new file mode 100755
index 000000000..0002f09d2
--- /dev/null
+++ b/source/n/iwlwifi-6xxx-ucode/iwlwifi-6xxx-ucode.SlackBuild
@@ -0,0 +1,58 @@
+#!/bin/sh
+
+# Copyright 2006, 2008, 2009, 2010 Patrick J. Volkerding, Sebeka, MN, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PKGNAM=iwlwifi-6xxx-ucode
+#VERSION will be determined automatically, and the package will use the last version found.
+ARCH=${ARCH:-fw}
+BUILD=${BUILD:-1}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-${PKGNAM}
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+
+cd $TMP
+for file in $CWD/iwlwifi-6*-*.tar.?z* ; do
+ VERSION=$(echo $file | rev | cut -f 3- -d . | cut -f 1 -d / | rev | cut -f 4- -d - )
+ SRCNAM=$(echo $file | rev | cut -f 3- -d . | cut -f 1 -d / | rev | cut -f 1-3 -d -)
+ rm -rf ${SRCNAM}-${VERSION}
+ tar xvf $file || exit 1
+ cd $SRCNAM-$VERSION || exit 1
+ # Make sure ownerships and permissions are sane:
+ chown -R root:root .
+ chmod 644 *
+ # install:
+ mkdir -p $PKG/lib/firmware
+ cp -a iwlwifi-*.ucode $PKG/lib/firmware
+ # Add a documentation directory:
+ mkdir -p $PKG/usr/doc/${SRCNAM}-${VERSION}
+ cp -a LICENSE* README* $PKG/usr/doc/${SRCNAM}-${VERSION}
+done
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/${PKGNAM}-$VERSION-$ARCH-$BUILD.txz
+